All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface MdObjectFactoryListener

All Superinterfaces:
  java.util.EventListener, java.rmi.Remote

    public interface MdObjectFactoryListener

extends java.util.EventListener, java.rmi.Remote

This Listener handles events for objects creation and deletion on the server.

Method Summary
`void` | `MdObjectCreated(MdEvent e, java.lang.String id)` The object created event is sent when a new object has been created.
`void` | `MdObjectDeleted(MdEvent e, java.lang.String id)` The object deleted event is sent when an object has been deleted on the server.
`void` | `MdObjectsCreated(MdEvent e, java.util.List<java.lang.String> ids)` The objects created event is sent when new objects have been created.

Method Detail

### MdObjectCreated

    void MdObjectCreated(MdEvent e,
                         java.lang.String id)
                         throws java.rmi.RemoteException

  The object created event is sent when a new object has been created. Or a temporary objects id changes upon return from the server

  Parameters:
    `e` - MdEvent
    `id` - String
  Throws:
    `java.rmi.RemoteException`

### MdObjectDeleted

    void MdObjectDeleted(MdEvent e,
                         java.lang.String id)
                         throws java.rmi.RemoteException

  The object deleted event is sent when an object has been deleted on the server.

  Parameters:
    `e` - MdEvent
    `id` - String
  Throws:
    `java.rmi.RemoteException`

### MdObjectsCreated

    void MdObjectsCreated(MdEvent e,
                          java.util.List<java.lang.String> ids)
                          throws java.rmi.RemoteException

  The objects created event is sent when new objects have been created. Or temporary objects ids changes upon return from the server

  Parameters:
    `e` - MdEvent
    `ids` - List
  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.